<h1>Date + Offset</h1>

<table>
  <tr>
    <th>Base Date</th>
    <td>
      <input type="date"
             [ngModel]="toDateText()"
             (ngModelChange)="updateDate($event)"
      />
    </td>
  </tr>
  <tr>
    <th>Offset ({{offset}})</th>
    <td>
      <input type="range"
             [ngModel]="offset"
             (ngModelChange)="updateOffset($event)"
             [min]="1" [max]="42"
      />
    </td>
  </tr>
  <tr>
    <th>Result Date</th>
    <td>
      {{dateResult | date:'MMMM d, yyyy'}}
    </td>
  </tr>
</table>
